Subject: Re: [bitcoin-dev] BIP: Full Replace-by-Fee deployment schedule

From: Luke Dashjr <[email-masked]>
Date: Mon, 29 Jun 2015 06:00:49 +0000

On Monday, June 29, 2015 5:53:15 AM Peter Todd wrote:
> On Mon, Jun 29, 2015 at 05:43:13AM +0000, Gregory Maxwell wrote:
> > On Mon, Jun 29, 2015 at 5:40 AM, Luke Dashjr <[email-masked]> wrote:
> > > Policy is node/miner fiat and not the domain of BIPs.
> > 
> > Even accepting the premise that policy is pure local fiat, the
> > conclusion doesn't follow for me. BIPs about best practices or
> > especially anything where interop or coordination are, I think,
> > reasonable uses of the process.
> > 
> > E.g. you might want to know what other kinds of policy are in use if
> > you're to have any hope of authoring transactions that work at all!
> 
> For example, consider Luke-Jr's own BIP19, M-of-N Standard Transactions,
> a non-consensus-critical suggested policy change!
> 
>     https://github.com/bitcoin/bips/blob/master/bip-0019.mediawiki

BIP 19 does not explicitly purport to directly change policy. It defines a 
standard way of assembling multisig transactions.

> Anyway, full-RBF has significant impacts for wallet authors and many
> other stakeholders. At minimum it changes how you will want to author
> and (re)author transactions, much like BIP19 does.

This is omitted from the BIP (in fact, it doesn't even have a Specification 
section!). No objections to a BIP specifying standards to use for 
authoring/modifying transactions for RBF, but it should leave out policy (or 
at least constrain it to a strictly non-normative section.

Luke